package com.philisense.www.dao;


import java.util.List;
import java.util.Map;

public interface ProUserDAO extends BaseCRUDDAO{

    List<Map<String,Object>> timecountlist(Map<String, Object> map);

    List<Map<String, Object>> getAllAddressBook(Map<String, Object> map);

    List<Map<String, Object>> selectUserByProResourceWorkFlowId(Map<String, Object> map);

    int countUserByProResourceWorkFlowId(Map<String, Object> map);

    List<Map<String, Object>> getByIdIn(List<String> userIdList);

    Map<String, Object> getOneByUserName(Map<String, Object> map);

    List<Map<String, Object>> getAllByUserName(Map<String, Object> map);

    int countByAuthority(Map<String, Object> map);

    List<Map<String, Object>> queryPageByAuthority(Map<String, Object> map);

    int countUserOrg(Map<String, Object> map);

    List<Map<String, Object>> queryPageUserOrg(Map<String, Object> map);

    List<Map<String, Object>> getAllUser(Map<String, Object> map);

    List<Map<String, Object>> getAllByAuthType(String authType);
}
